{% extends 'pages/base.html'%}

{% load static %}
{% block content %}
<section id="friendList">
    <div class="container">
        <h1 class="text-center">Friends List</h1>
        <hr>
        <div class="main">
            <div class="row">
                {% for friend in friends %}
                    <div class="col-md-4">
                        <div class="card bg-danger mb-3">
                            <div class="card-header">{{friend.name}}</div>
                            <div class="card-body">
                                <div class="card-text">Hobby: {{friend.hobby}}</div>
                                <div class="card-text">Favorite Food: {{friend.favorite_food}}</div>
                                <div class="card-text">Favorite Drink: {{friend.favorite_drink}}</div>
                                <div class="card-text">Year: {{friend.year}}</div>
                                <a href="{%url 'delete_friend' friend.id%}" class="btn btn-danger">Delete</a>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
            <div class="text-center mt-4 mb-4">
                <a href="{%url 'contact'%}#friend" class="btn btn-danger d-inline">+</a>
            </div>
        </div>
    </div>
</section>

<script>
    var active = document.getElementById('navFriend');
    active.classList.add('navActive');
</script>
{% endblock %}